MINIMUM WINDOW SUBSTRING | LEETCODE # 76 | PYTHON SOLUTION

Ғылым және технология

In this video we are solving a tricky hard level question being asked at top tech companies: Minimum Window Substring (Leetcode # 76).
This question seems difficult on the surface but the solution is actually quite intuitive and once you've seen it once it's actually quite easy to understand and code up.
TIMESTAMPS
00:00 Intro
00:15 Question Prompt
00:50 Example Walkthrough
03:35 Solution Intuition & Walkthrough
16:10 Coding
25:30 Time/Space Complexity
27:30 Outro

Пікірлер: 10

  • @dnm9931
    @dnm99314 ай бұрын

    I go on KZread and see a Leetcode question done by you that I am trying to solve and it gives me joy. Thank you for existing. You probably see me in all your videos but you’re really amazing and please keep it up!

  • @crackfaang

    @crackfaang

    4 ай бұрын

    No problem man, thanks for continuing to watch the channel

  • @rsKayiira
    @rsKayiira Жыл бұрын

    Great solution. This question isnt super hard but more difficult to implement

  • @3rd_iimpact
    @3rd_iimpact4 ай бұрын

    Great explanation! Was definitely struggling to grasp this one on my own.

  • @crackfaang

    @crackfaang

    4 ай бұрын

    It's a fun question, definitely enjoyed this one. Maybe I'm just strange

  • @YT.Nikolay
    @YT.Nikolay Жыл бұрын

    I had this question, the first time had to watch the explanation, and the second time did not optimally but myself, still had to watch the optimal one, now I put this problem into my backlog! I am going to solve it this time! At least, I have hope :D What would be your advice? I bet you had such a situation, what is the most productive way to get along with it?

  • @HarishRaoS
    @HarishRaoS Жыл бұрын

    As usual thanks for the awesome explanation. I had a small glitch when i submitted it. It failed for test case "bbaa", "aba" . I had a add a small change to line 20. if cur_char in t_counts and (window_counts[cur_char] == t_counts[cur_char] or ( window_counts[cur_char] > 0 and window_counts[cur_char] matches += 1

  • @sayeedchowdhury11

    @sayeedchowdhury11

    8 ай бұрын

    I didn't have to change anything, it should work as is

  • @emekaitegbe2694

    @emekaitegbe2694

    5 ай бұрын

    @HarishRaoS good catch. I also had to make this minor change.

  • @sharathkumar8338
    @sharathkumar8338 Жыл бұрын

    Even sliding window is important topic. Last time I could not clear the interview because I didn't solve any heap, sliding window, stack and hashMap. Could you solve more problems in these from leetcode ? please ???🥺🥺

Келесі